#
# spec file for package python-mbstrdecoder
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-mbstrdecoder
Version:        1.0.0
Release:        bp156.3.1
Summary:        Multi-byte character string decoder
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thombashi/mbstrdecoder
Source:         https://files.pythonhosted.org/packages/source/m/mbstrdecoder/mbstrdecoder-%{version}.tar.gz
BuildRequires:  %{python_module Faker >= 1.0.2}
BuildRequires:  %{python_module chardet >= 3.0.4}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Faker >= 1.0.2
Requires:       python-chardet >= 3.0.4
BuildArch:      noarch
%python_subpackages

%description
Python library for multi-byte character string decoding.

%prep
%setup -q -n mbstrdecoder-%{version}
# Remove build alias
sed -i '/build =/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Sun Apr  5 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.0
  * no upstream changelog found
- Drop support for python2
- Adjust dependencies
* Wed Apr  1 2020 pgajdos@suse.com
- version update to 0.8.4
  * no upstream changelog found
* Thu Feb  6 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.8.3:
  * Fix encoding detection failure
  * Modify to get a stable result when repeatedly call
  * Change chardet dependency from optional to mandatory
  * Update extras_require
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.8.1:
  * reduced test dependencies
  * Fixes for python 3.8
* Fri May 10 2019 John Vandenberg <jayvdb@gmail.com>
- De-vendor six
- Enable builds on Python 2 and remove undesirable build dependencies
* Fri Jan 18 2019 mardnh@gmx.de
- Initial package, version 0.6.2
